Bug 1067047 - Useless edits in DTD validation
Summary: Useless edits in DTD validation
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration, SwitchYard Editor
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: DR4
: ---
Assignee: tcunning
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 14:54 UTC by Tomas Rohovsky
Modified: 2016-01-04 07:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1977 Major Resolved Useless edits in DTD validation 2015-02-12 18:12:33 UTC

Description Tomas Rohovsky 2014-02-19 14:54:57 UTC
The <!DOCTYPE> declaration has to be present in a message if DTD validation is used. The validation uses DTD declared in the message. It doesn't use DTD/DTDs declared in the switchyard.xml. So, the 'Schema Files' are useless in the editor. The same applies for 'Catalog Files' and 'Namespace Aware', because DTD doesn't use namespaces. Also validate_1_1.xsd should be adjusted with regard to the changes.

The 'Schema Files' would be useful only if DTD validation used them.

Comment 1 JBoss JIRA Server 2015-02-12 15:08:00 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-1977 to Reopened

Comment 2 JBoss JIRA Server 2015-02-12 18:12:34 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira SWITCHYARD-1977 to Resolved


Note You need to log in before you can comment on or make changes to this bug.